using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.WindowsMobile.Status;

namespace FindCamera
{
    public partial class FindCameraForm : Form
    {
        public FindCameraForm()
        {
            InitializeComponent();
        }

        private void FindCameraForm_Load(object sender, EventArgs e)
        {
            bool hasCamera = Convert.ToBoolean(
                SystemState.GetValue(SystemProperty.CameraPresent));

            if (hasCamera)
            {
                cameraMessageLabel.Text = "Camera Present";
            }
            else
            {
                cameraMessageLabel.Text = "No Camera";
            }
        }

        private void doneMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}